Subject: [Uta] TLSRPT mx-host-pattern

From: "Brotman, Alexander" <[email-masked]>
Date: Mon, 16 Jul 2018 21:42:45 +0000

Hello,

While someone was beginning to write their code for TLSRPT, they noticed that mx-host-pattern is under specified.

   o  "mx-host-pattern": The pattern of MX hostnames from the applied
      policy.  It is provided as a string, and is interpreted in the
      same manner as the "Checking of Wildcard Certificates" rules in
      Section 6.4.3 of [RFC6125].  In the case of Internationalized
      Domain Names ([RFC5891]), the domain MUST consist of the Punycode-
      encoded A-labels ([RFC3492]) and not the U-labels.

https://tools.ietf.org/html/draft-ietf-uta-smtp-tlsrpt-23#section-4.4

So, the questions arises when for instance one is using MTA-STS and has two MX allowed patterns and how that should be noted in the report field.  I'd like to suggest we use a JSON array, as the report is already in JSON.  An alternate would be a simple string.  I wanted to see if the WG had any objections to this change.  

Thanks for your time.

--
Alex Brotman
Sr. Engineer, Anti-Abuse
Comcast

---

From: Daniel Margolis <[email-masked]>
Date: Tue, 17 Jul 2018 15:32:18 +0200

+1 for a JSON array.

On Mon, Jul 16, 2018 at 11:43 PM Brotman, Alexander <
[email-masked]> wrote:

> So, the questions arises when for instance one is using MTA-STS and has
> two MX allowed patterns and how that should be noted in the report field.
> I'd like to suggest we use a JSON array, as the report is already in JSON.
> An alternate would be a simple string.  I wanted to see if the WG had any
> objections to this change.
>
> Thanks for your time.
>
> --
> Alex Brotman
> Sr. Engineer, Anti-Abuse
> Comcast
>
>
> _______________________________________________
> Uta mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uta
>

---

From: "Brotman, Alexander" <[email-masked]>
Date: Thu, 19 Jul 2018 18:18:15 +0000

Hello,

Should that count as a consensus, or would others like additional information?

Thank you

--
Alex Brotman
Sr. Engineer, Anti-Abuse
Comcast

From: Daniel Margolis [mailto:[email-masked]]
Sent: Tuesday, July 17, 2018 9:32 AM
To: Brotman, Alexander <[email-masked]>
Cc: [email-masked]
Subject: [EXTERNAL] Re: [Uta] TLSRPT mx-host-pattern

+1 for a JSON array.

On Mon, Jul 16, 2018 at 11:43 PM Brotman, Alexander <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

Thanks for your time.

--
Alex Brotman
Sr. Engineer, Anti-Abuse
Comcast

_______________________________________________
Uta mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/uta

---

From: Nicolas Lidzborski <[email-masked]>
Date: Thu, 19 Jul 2018 23:20:56 -0700

Sounds good to me.
Should we specify  the order of the MX in JSON array to be the same as the
applied policy?

On Thu, Jul 19, 2018 at 11:18 AM Brotman, Alexander <
[email-masked]> wrote:

> *From:* Daniel Margolis [mailto:[email-masked]]
> *Sent:* Tuesday, July 17, 2018 9:32 AM
> *To:* Brotman, Alexander <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* [EXTERNAL] Re: [Uta] TLSRPT mx-host-pattern
>
>
>
> +1 for a JSON array.
>
>
>

---

From: Viktor Dukhovni <[email-masked]>
Date: Fri, 20 Jul 2018 02:32:16 -0400

> Sounds good to me.

Ditto.

> Should we specify  the order of the MX in JSON array to be the same as the

The order is irrelevant, this is just a constraint on the  MX RRset
from DNS, which has the authoritative order.  So the order should
not be specified.

-- 
	Viktor.